package javax.swing;

import javax.swing.event.CellEditorListener;
import java.util.EventObject;

public interface CellEditor
{
    public abstract Object getCellEditorValue();
    
    public abstract boolean isCellEditable(EventObject p0);
    
    public abstract boolean shouldSelectCell(EventObject p0);
    
    public abstract boolean stopCellEditing();
    
    public abstract void cancelCellEditing();
    
    public abstract void addCellEditorListener(CellEditorListener p0);
    
    public abstract void removeCellEditorListener(CellEditorListener p0);
}
